{% extends "scandb_base.html" %}

{% load i18n %}
{% load static %}

{% block title %}
{% blocktrans with vendor_name=selected_manufacturer.name scanner_name=selected_scanner.name %}
Scanner {{ vendor_name }} {{ scanner_name }}
{% endblocktrans %}
{% endblock %}

{% block scandb_body %}

{% if user.is_authenticated %}
<p><a href="{% url "admin:backend_scanner_change" selected_scanner.id %}">[admin]</a></p>
{% endif %}

<img src="{% static scanner_type_img %}" alt="scanner type" width="256" height="auto" />

<table class="scandb_report_list">
    <tr>
        <th>{% trans "Date" %}</th>
        <th>{% trans "Scan successful" %}</th>
        <th>{% trans "OS" %}</th>
        <th>{% trans "Scan source" %}</th>
        <th>{% trans "Scan library" %}</th>
        <th>{% trans "Test program" %}</th>
    </tr>

    {% for report in reports %}
    <tr>
        <td><a href="{% url 'scannerdb:report' report.id %}">{{ report.creation_date }}</a></td>
        {% if report.successful %}
        <td style="color: green;">{% trans "Yes" %}</td>
        {% else %}
        <td style="color: red;">{% trans "No" %}</td>
        {% endif %}
        <td>{{ report.os.title }}</td>
        <td>{{ report.scan_source }}</td>
        <td>{{ report.scan_library }}</td>
        <td>{{ report.scan_program }}</td>
    </tr>
    {% endfor %}

</table>

{% endblock %}
